<?php
    
    include('koneksi.php');
    include 'common/header.php';
    
    //menginisiasi variabel-variabel yang dikirimkan dari form-->input name
    //fix problem : undefined index...
    if( isset($_POST['name'])        &&
        isset($_POST['address'])     &&
        isset($_POST['phone'])       &&
        isset($_POST['email'])    &&
        isset($_POST['username'])    &&
        isset($_POST['password'])  &&
        isset($_POST['repass'])   
      )
    {
        $nama         = $_POST['name'];
        $address      = $_POST['address'];
        $hp           = $_POST['phone'];
        $email          = $_POST['email'];
        $uname        = $_POST['username'];
        $pass         = $_POST['password'];
        $repass       = $_POST['repass'];
    }else{
        //otomatis mengalihkan ke halaman pendaftaran jika terjadi undefined index
        header("location:form_daftar.php");
    }
        //jika user telah memasukkan semua data yang dibutuhkan, koreksi kata sandi
        if($pass == $repass){
            //mengambil informasi dari nama tabel "member" pada kolom "nama"
            $ambilDataSql     = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM member WHERE username = '$uname'");
            //mengambil informasi dari seluruh kolom nama
            $cek_username = mysqli_num_rows($ambilDataSql);
            $ambilDataMember     = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM member");
            $countData = mysqli_num_rows($ambilDataMember);
            //mengecek ketersediaan identitas
            if($cek_username == 0){//jika nama  tidak ditemukan/belum terdaftar
                //lakukan penambahan data
                $id = $countData +1;
                mysqli_query($GLOBALS["___mysqli_ston"], "INSERT INTO member VALUES('$id','$nama','$address','$hp','$uname','$pass','$email', '1')");
                echo "<div class='alert'> <h2> Pendaftaran Berhasil </h2> </div>";
				echo "<a href='form_daftar.php' class='btn btn-primary'> <span class='glyphicon glyphicon-chevron-left'></span> Kembali </a>";
            }else{
                echo "<h2> username pengguna sudah terdaftar. Silahkan ganti username anda</h2>";
                echo "<a href='form_daftar.php' class='btn btn-info'>Kembali ke halaman pendaftaran</a>";
            }
        }else{
            //jika kata sandi tidak sama
            echo "<h2>Kata Sandi Tidak Cocok</h2>";
			echo "<a href='form_daftar.php' class='btn btn-info'>Kembali </a>";
        }
				
				echo '<br/> <br/>';
				
				include 'common/footer.php';
?>